Subject: [os2genau_digest] No. 1824
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 26 Jun 2009 00:00:53 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Thursday 25 June 2009
 Number  1824
**************************************************

Subjects for today
 
1  Re:  USB to Parallel : Chuck McKinnis <mckinnis at sandia dot net>
2  Re:  USB to Parallel : Alan Duval <amoht at westnet dot com dot au>
3  Re:  USB to Parallel : Ed Durrant <edurrant at durrant dot mine dot nu>
4  Re:  USB to Parallel : Alan Duval <amoht at westnet dot com dot au>
5   GNUCash for OS/2? : John Angelico" <talldad at kepl dot com dot au>
6  Re:  GNUCash for OS/2? : Ian Manners" <deadmail>

**= Email   1 ==========================**

Date:  Wed, 24 Jun 2009 08:09:54 -0600
From:  Chuck McKinnis <mckinnis at sandia dot net>
Subject:  Re:  USB to Parallel

Alan Duval wrote:
> Ed Durrant wrote:
>> Alan Duval wrote:
>>> Ed Durrant wrote:
>>>>
>>>>>> If you don't have this, go to \ecs\system\usbdock and run usbdock 
>>>>>> - can it see the device ? If not you have a physical USB 
>>>>>> connectivity problem.
>>>>>>
>>>>>> If it does see something (it'll give a vendor and model code) - 
>>>>>> then we are a step closer.
>>>>>>
>>>>   Well since the USB Port reports the cable - usbdock would report 
>>>> something as well I guess.
>>>
>>> USBDOCK  shows a cube icon with 067B:2305 underneath and the 
>>> following in the text area:
>>>
>>> Device name      Prolific PL2305 Parallel
>>> Identifier (Vendor:Product ID)      047b:2305
>>> Speed      slow speed (1.0)
>>> Unknown devices are detected,  Send logs to usbdock at ecom.......
>>>
>>>
>> OK, that's good.
>>
>>
>>>> OK, so you have a printer object defined, and have selected the USB 
>>>> port for it.
>>>>
>>>> Go into the properties of the printer object.
>>>>
>>>> Go to the output port tab.
>>>>
>>>> The Prolific_IEEE_1284_Cont_1 USB port should be shown hatched 
>>>> (selected). Double click this icon.
>>>>
>>>> What does the status field say ?
>>>>
>>>> (this is with the printer connected and turned on, ideally before 
>>>> you start the PC).
>>>
>>> It says:
>>>
>>> Port name      Prolific_IEEE_1284_Cont1
>>> Status            OFFLINE (DETACHED)
>>>
>>> Auto monitor button is ticked
>>>
>>>
>> That should say Online, so it seems to be saying that the printer is 
>> not correctly connected to the cable - or that there is a problem with 
>> the printer hardware.
>>
>> When you send a print to the printer - what happens ? Does it stay 
>> "stuck" in the print queue or does it go through but nothing comes out ?
> 
> It says "Your printer is not responding"
> 
> 
>>> One last thing to check. Through earlier attempts you could have data 
>>> in the spooler that is blocking this from working.
>>
>> Go to the C:\VAR\SPOOL directory (assuming this is an eCS 2.0 RC 
>> install) and you should see the Prolific_IEEE_1284_Cont1  (or 
>> something like that) - go into that directory and delete any files 
>> that are in there, then restart the system 9with the printer connected 
>> and turned on.
> There is just a folder for the USB_HP which is the name of the printer I 
> installed but it is empty.
> 
> Following Chuck's Email I went to the eComStstion site. Couldn't see any 
> download files for USBMON but noticed a zip file USBP1057.ZIP
> which was for installing USB printers and parallel printers connected to 
> USB ports using a connecting device. I downloaded this and unzipped it 
> to D:\USBupdate. I then read the text file which said to open an OS/2 
> window and type USBPRTEN at the command prompt to expand it. As it was 
> already expanded I didn't do this but wondered whether that would have 
> placed the enclosed files in other directories. On searching I found 
> that the files were in the directories later mentioned and that 
> USBMON.EXE was in the directories Chuck mentioned.
> 
> It then said to open the existing (or create new) printer object 
> properties window and select "output port" page. I went to Local System 
>  > Printers where I have an icon "Printer" which is for my printer when 
> connected directly by parallel cable. In it's properties window I 
> selected "output port".
> It then said "Select the " install new port" button by right clicking on 
> LPT1 port icon and selecting install to open the dialog for the print 
> object"  This I did.
> Next it said to select the  "New port drivers" radio button and type the 
> full path to the expanded port driver in the "Directory" edit box.
> I typed    C:\OS2\DLL  and pressed refresh button as directed. This 
> showed the USB port which I selected and then pressed the install button 
> as directed.
> It then said to shut down and restart.
> 
> When restarted and I tried to print a page It again said "Your printer 
> is not responding"   so I don't think this USB to parallel cable is 
> going to work unless someone has other ideas.
> 
> Alan

Did you shadow "\OS2\USBMON.EXE /USBPRT" into your startup folder?

-- 
Chuck McKinnis
1449 State Highway 14 N
Sandia Park, NM 87047
505-286-3191
http://www.7cities dot net/~mckinnis/
My sheep hear my voice, and I know them, and they follow me: And I give 
unto them eternal life; and they shall never perish, neither shall any 
man pluck them out of my hand. John 10:27-28

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Thu, 25 Jun 2009 08:08:23 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  USB to Parallel

Chuck McKinnis wrote:
> Alan Duval wrote:
>> Ed Durrant wrote:
>>> Alan Duval wrote:
>>>> Ed Durrant wrote:
>>>>>
>>>>>>> If you don't have this, go to \ecs\system\usbdock and run 
>>>>>>> usbdock - can it see the device ? If not you have a physical USB 
>>>>>>> connectivity problem.
>>>>>>>
>>>>>>> If it does see something (it'll give a vendor and model code) - 
>>>>>>> then we are a step closer.
>>>>>>>
>>>>>   Well since the USB Port reports the cable - usbdock would report 
>>>>> something as well I guess.
>>>>
>>>> USBDOCK  shows a cube icon with 067B:2305 underneath and the 
>>>> following in the text area:
>>>>
>>>> Device name      Prolific PL2305 Parallel
>>>> Identifier (Vendor:Product ID)      047b:2305
>>>> Speed      slow speed (1.0)
>>>> Unknown devices are detected,  Send logs to usbdock at ecom.......
>>>>
>>>>
>>> OK, that's good.
>>>
>>>
>>>>> OK, so you have a printer object defined, and have selected the 
>>>>> USB port for it.
>>>>>
>>>>> Go into the properties of the printer object.
>>>>>
>>>>> Go to the output port tab.
>>>>>
>>>>> The Prolific_IEEE_1284_Cont_1 USB port should be shown hatched 
>>>>> (selected). Double click this icon.
>>>>>
>>>>> What does the status field say ?
>>>>>
>>>>> (this is with the printer connected and turned on, ideally before 
>>>>> you start the PC).
>>>>
>>>> It says:
>>>>
>>>> Port name      Prolific_IEEE_1284_Cont1
>>>> Status            OFFLINE (DETACHED)
>>>>
>>>> Auto monitor button is ticked
>>>>
>>>>
>>> That should say Online, so it seems to be saying that the printer is 
>>> not correctly connected to the cable - or that there is a problem 
>>> with the printer hardware.
>>>
>>> When you send a print to the printer - what happens ? Does it stay 
>>> "stuck" in the print queue or does it go through but nothing comes 
>>> out ?
>>
>> It says "Your printer is not responding"
>>
>>
>>>> One last thing to check. Through earlier attempts you could have 
>>>> data in the spooler that is blocking this from working.
>>>
>>> Go to the C:\VAR\SPOOL directory (assuming this is an eCS 2.0 RC 
>>> install) and you should see the Prolific_IEEE_1284_Cont1  (or 
>>> something like that) - go into that directory and delete any files 
>>> that are in there, then restart the system 9with the printer 
>>> connected and turned on.
>> There is just a folder for the USB_HP which is the name of the 
>> printer I installed but it is empty.
>>
>> Following Chuck's Email I went to the eComStstion site. Couldn't see 
>> any download files for USBMON but noticed a zip file USBP1057.ZIP
>> which was for installing USB printers and parallel printers connected 
>> to USB ports using a connecting device. I downloaded this and 
>> unzipped it to D:\USBupdate. I then read the text file which said to 
>> open an OS/2 window and type USBPRTEN at the command prompt to expand 
>> it. As it was already expanded I didn't do this but wondered whether 
>> that would have placed the enclosed files in other directories. On 
>> searching I found that the files were in the directories later 
>> mentioned and that USBMON.EXE was in the directories Chuck mentioned.
>>
>> It then said to open the existing (or create new) printer object 
>> properties window and select "output port" page. I went to Local 
>> System  > Printers where I have an icon "Printer" which is for my 
>> printer when connected directly by parallel cable. In it's properties 
>> window I selected "output port".
>> It then said "Select the " install new port" button by right clicking 
>> on LPT1 port icon and selecting install to open the dialog for the 
>> print object"  This I did.
>> Next it said to select the  "New port drivers" radio button and type 
>> the full path to the expanded port driver in the "Directory" edit box.
>> I typed    C:\OS2\DLL  and pressed refresh button as directed. This 
>> showed the USB port which I selected and then pressed the install 
>> button as directed.
>> It then said to shut down and restart.
>>
>> When restarted and I tried to print a page It again said "Your 
>> printer is not responding"   so I don't think this USB to parallel 
>> cable is going to work unless someone has other ideas.
>>
>> Alan
>
> Did you shadow "\OS2\USBMON.EXE /USBPRT" into your startup folder?

It seems to have been done automatically when I unzipped USBP1057.ZIP as 
it's there.

Alan
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   3 ==========================**

Date:  Thu, 25 Jun 2009 20:39:16 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  USB to Parallel

Alan Duval wrote:
>
> Following Chuck's Email I went to the eComStstion site. Couldn't see 
> any download files for USBMON but noticed a zip file USBP1057.ZIP
> which was for installing USB printers and parallel printers connected 
> to USB ports using a connecting device. I downloaded this and unzipped 
> it to D:\USBupdate. I then read the text file which said to open an 
> OS/2 window and type USBPRTEN at the command prompt to expand it. As 
> it was already expanded I didn't do this but wondered whether that 
> would have placed the enclosed files in other directories. On 
> searching I found that the files were in the directories later 
> mentioned and that USBMON.EXE was in the directories Chuck mentioned.
>
> It then said to open the existing (or create new) printer object 
> properties window and select "output port" page. I went to Local 
> System > Printers where I have an icon "Printer" which is for my 
> printer when connected directly by parallel cable. In it's properties 
> window I selected "output port".
> It then said "Select the " install new port" button by right clicking 
> on LPT1 port icon and selecting install to open the dialog for the 
> print object"  This I did.
> Next it said to select the  "New port drivers" radio button and type 
> the full path to the expanded port driver in the "Directory" edit box.
> I typed    C:\OS2\DLL  and pressed refresh button as directed. This 
> showed the USB port which I selected and then pressed the install 
> button as directed.
> It then said to shut down and restart.
>
> When restarted and I tried to print a page It again said "Your printer 
> is not responding"   so I don't think this USB to parallel cable is 
> going to work unless someone has other ideas.
>
> Alan

But you said that this cable has worked before ?

Do you have any spare space on your disk where you could re-install eCS 
? If so it'd be good to do a clean install and to select USB printing 
support during the install.

If the printer works on that temporary eCS install, you know it's a 
configuration issue on you main partition.

Cheers/2

Ed.
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   4 ==========================**

Date:  Thu, 25 Jun 2009 22:05:50 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  USB to Parallel

Ed Durrant wrote:
> Alan Duval wrote:
>>
>> Following Chuck's Email I went to the eComStstion site. Couldn't see 
>> any download files for USBMON but noticed a zip file USBP1057.ZIP
>> which was for installing USB printers and parallel printers connected 
>> to USB ports using a connecting device. I downloaded this and 
>> unzipped it to D:\USBupdate. I then read the text file which said to 
>> open an OS/2 window and type USBPRTEN at the command prompt to expand 
>> it. As it was already expanded I didn't do this but wondered whether 
>> that would have placed the enclosed files in other directories. On 
>> searching I found that the files were in the directories later 
>> mentioned and that USBMON.EXE was in the directories Chuck mentioned.
>>
>> It then said to open the existing (or create new) printer object 
>> properties window and select "output port" page. I went to Local 
>> System > Printers where I have an icon "Printer" which is for my 
>> printer when connected directly by parallel cable. In it's properties 
>> window I selected "output port".
>> It then said "Select the " install new port" button by right clicking 
>> on LPT1 port icon and selecting install to open the dialog for the 
>> print object"  This I did.
>> Next it said to select the  "New port drivers" radio button and type 
>> the full path to the expanded port driver in the "Directory" edit box.
>> I typed    C:\OS2\DLL  and pressed refresh button as directed. This 
>> showed the USB port which I selected and then pressed the install 
>> button as directed.
>> It then said to shut down and restart.
>>
>> When restarted and I tried to print a page It again said "Your 
>> printer is not responding"   so I don't think this USB to parallel 
>> cable is going to work unless someone has other ideas.
>>
>> Alan
>
> But you said that this cable has worked before ?
>
> Do you have any spare space on your disk where you could re-install 
> eCS ? If so it'd be good to do a clean install and to select USB 
> printing support during the install.
>
> If the printer works on that temporary eCS install, you know it's a 
> configuration issue on you main partition.
Yes! I'm sure it worked. As I mentioned, I have another box which has an 
ASUS M3A motherboard. I installed eCS 2.0 RC4 on this but couldn't get 
ACPI or SMP working. Also it didn't have a parallel port so I bought 
this USB to parallel cable and I downloaded a file from eComStation 
(probably the same as mentioned above) to get the printer recognized and 
installed the printer and was surprised that it worked.
I then installed eCS 2.O RC5 to see if I could get ACPI and SMP working 
but couldn't so put that box in storage and went back to my other system 
which has an ASUS M2V-TVM motherboard which has ACPI & SMP working and 
has a parallel port. It was only recently that I decided to see if I 
could use that cable to connect my printer to a USB port to make it easy 
to plug in and remove when required. Also I was thinking of getting a 
reserve motherboard just in case my present one failed (I had a previous 
M2V-TVM failure) and a lot of the new motherboards seem to have done 
away with parallel ports).

I tried to find the spec of my present cable but couldn't, so I looked 
at a number of other USB to Parallel cables and they all require WIN or 
MAC systems and have software to install. One could be used with Linux 
and mentioned it needed a certain driver  which could be used with the 
CUPS system. Hence it seems that a driver is needed to access the 
printer via these cables although WIN XP detected it and I didn't 
install any special driver. I don't know whether the USBP1057.ZIP 
contains a driver.

I have bought a new HD and am waiting for a removable cradle. When I get 
it I will install eCS on it and do as you said.

Regards,

Alan
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   5 ==========================**

Date:  Thu, 25 Jun 2009 22:50:37 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:   GNUCash for OS/2?

Hi all.

I have been told that the FOSS personal accounting package GNUCash has
matured to something serious, and has even become multi-platform.

See http://en.wikipedia dot org/wiki/GnuCash for details.

Does anyone know if there is an OS/2-eCS port anywhere in the works?  Does
the reference to something called Scheme preclude a port?

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
**= Email   6 ==========================**

Date:  Thu, 25 Jun 2009 23:09:24 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:  Re:  GNUCash for OS/2?

Hi John,

>Does anyone know if there is an OS/2-eCS port anywhere in the works?  Does
>the reference to something called Scheme preclude a port?

We have :-

10/07/02   8:17   17929322           0  scheme-7.7.1-ix86-os2.zip

I have it setup here so will see if it compiles over the weekend,
if not I will see about compiling the latest scheme, if someone
else like Paul hasnt already done so :-)

Cheers
Ian Manners
http://www.os2site dot com/

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG